Japanese Speaking Membership Advisor

  
Advertised on : 02 Jul 2019 | Closing date : 31 Aug 2019

  Job Reference : 48514


Job Responsibilities:

  • Handle in-bound calls within stipulated service levels
  • Assist customers in vacation planning and worldwide hotels reservations through the system
  • Assist in resolving customer care issues and handle customer enquiries
  • Takes responsibility for call logs and documentation into the system
  • Optimize booking opportunities and promote customer retention and loyalty
  • Answer emails with accuracy, clarity and simplicity in a customer friendly as well as professional manner
  • Works cross functionally with other departments to ensure business needs are addressed and customer satisfaction achieved
  • Meet up with members for one on one program education (by appointment only) on an ad-hoc basis

Job Requirements:

  • 1 year of working experience in the related field preferred
  • Experience with travel related system (Marsha, TimeshareWare) will be an advantage
  • Customer service oriented
  • Excellent telephone etiquette, good written and verbal communication skills
  • Ability to multi-task and work independently with minimal supervision
  • Highly proficient in Microsoft Word, Excel, PowerPoint and Outlook
  • Fluent in English and Japanese to liaise with internal and external customer
  • Cheerful and enjoy interacting with people

 

Interested candidates please click apply and send your updated resume in word format (with current and expected salary).

 

We regret to inform only shortlisted candidates will be contacted, rest assure we will keep your resume in mind for other suitable positions.

 

Thank you.

 

 

Functional Areas : Service & Others;Tourism (Ticketing, Tour&Inbound&Outbound Operator)
Type of Employment : Permanent
Minimum Experience : 1
Work Location : Singapore

   
 
 
If you encounter difficulties, please click here for technical assistance.

 
This site is best viewed in 1024x768 , Microsoft Internet Explorer version 8 or above and Firefox version 3.5 or above